import { defineConfig } from 'vitepress'

// https://vitepress.dev/reference/site-config
export default defineConfig({
  title: "Sif 2",
  description: "A Sif2 Server and Client Documents",
  themeConfig: {
    // https://vitepress.dev/reference/default-theme-config
    nav: [
      { text: '用户指南', link: '/docs/user_guide/client_docs' },
      { text: '服务器指南', link: '/docs/dev_guide/introduction' }
    ],

    sidebar: {
      '/docs/user_guide/': [
        {
          text: '游戏用户指南',
          items: [
            { text: '游戏内使用说明', link: '/docs/user_guide/client_docs' },
            { text: 'WebUI使用说明', link: '/docs/user_guide/user_webui' },
            { text: '游戏相关信息', link: '/docs/user_guide/game_info' },
          ]
        }
      ],
      '/docs/dev_guide/': [
        {
          text: '服务器指南',
          items: [
            { text: '介绍', link: '/docs/dev_guide/introduction' },
            {
              text: '安装',
              items: [
                { text: 'Windows', link: '/docs/dev_guide/installation/windows' },
                { text: 'Linux', link: '/docs/dev_guide/installation/linux' },
                { text: 'docker', link: '/docs/dev_guide/installation/docker' },
              ],
            },
            { text: 'WebUI', link: '/docs/dev_guide/WebUI' },
            { text: '获取和安装预打补丁的游戏安装包', link: 'docs/dev_guide/patch_client' },
            { text: '游戏资源服务器配置', link: 'docs/dev_guide/assets_docs' },
            { text: '环境变量和命令行参数', link: '/docs/dev_guide/variable-argument' },

          ]
        }
      ]
    },
  }
})
