---
outline: deep
---
# 游戏资源服务器配置 {#asset}
本节为如何配置环境服务器。

## 开启资源服务器

### Windows和Linux
使用命令行参数`--enable-asset-server`开启资源服务器，使用`--asset-port <ASSET_PORT>`指定资源服务器端口（默认为8000），使用`--asset-path <ASSET_PATH>`指定游戏资源位置（默认为`./asset/`）。

一个启动游戏资源服务器的典型命令为：
- Windows
```
ew.exe --enable-asset-server --port 8080 --path ./data/ --asset-port 8000 --asset-path ./asset/ --max_time 1736076211
```
- Linux
```
./ew --enable-asset-server --port 8080 --path ./data/ --asset-port 8000 --asset-path ./asset/ --max_time 1736076211
```

### Docker
使用环境变量`ENABLE_ASSET_SERVER`开启资源服务器，并设置资源服务器端口映射，和游戏资源存储位置。

一个启动游戏资源服务器的典型命令为：
```
docker run -d \
    --name sif2 \
    -p 8080:8080 \
    -p 8000:8000 \
    -v ./data:/data \
    -v ./asset:/asset \
    -e ENABLE_ASSET_SERVER=true \
    zhushenwudi/lovelive-sif2
```

## 使用资源服务器

### 下载游戏资源
- 日服

日服的游戏资源可以在[lovelive-sif2-jp-assets](https://archive.org/download/lovelive-sif2-jp-assets)下载。

安卓客户端的游戏资源为`android-final.7z`。

iOS客户端的游戏资源为`ios-final.7z`。

![lovelive-sif2-jp-assets](../image/28.png)

- 国际服

国际服的游戏资源可以在[lovelive-sif2-gl-assets](https://archive.org/download/lovelive-sif2-gl-assets)下载。

安卓客户端的游戏资源为`EN-Android.7z`、`KR-Android.7z`和`ZH-Android.7z`。分别对应英文、韩文和中文游戏资源。

iOS客户端的游戏资源为`EN-iOS.7z`、`KR-iOS.7z`和`ZH-iOS.7z`。分别对应英文、韩文和中文游戏资源。

![lovelive-sif2-gl-assets](../image/29.png)


### 游戏资源放置位置

游戏资源根目录由`--asset-path <ASSET_PATH>`指定，默认为`./asset/`。以下说明的根目录均为`./asset/`。

将游戏资源压缩包解压。按照下列方式进行放置。

- 日服
```
asset/
├── maintenance/
│   ├── maintenance.json
├── {iOS,Android}/
│   ├── 00a065ad8d01f2ecfd5530fc4d8df7e9
│   ├── 00adc3ff560d26aaeb237a09d93a7f15
│   ├── 00b7cb7d74ebf78d9876bf6a13617368
│   ├── ...
```

- 国际服
```
asset/
├── maintenance/
│   ├── maintenance.json
├── {iOS,Android}/
│   ├── {EN, KR, ZH}
│   │   ├── 000c6b576d2f4ab80f90f1eba5858971
│   │   ├── 00c32b6c388145f46694a95dc1a00167
│   │   ├── 00c47e80ba847813d63d81aaea1b72aa
│   │   ├── ...
```

::: tip 注意
`maintenance.json`文件内容为
```json
{
    "opened_at": "2024-02-05 02:00:00",
    "closed_at": "2024-02-05 04:00:00",
    "message": "Love Live! SIF2 MIRACLE LIVE! will undergo maintenance on (UTC+0) February 5, 02:00~04:00, you won't be able to log into the game. Please make sure to complete any ongoing activities before the update to avoid interruptions that may result in incomplete actions or unclaimed rewards",
    "server": 1,
    "gamelib": 0
}
```
:::

::: tip 信息
这里给出了日服游戏资源的百度云下载地址：

[安卓](https://pan.baidu.com/s/1ktVSFlwCjH2vtx6VlnZzPg?pwd=LLMP)

[iOS](https://pan.baidu.com/s/1-eHPCerXytL28FT2y-sF_Q?pwd=LLMP)

[安卓和iOS](https://pan.baidu.com/s/1QdJmV_ZbHAvY3oWdZ-cY5g?pwd=LLMP)
:::




